const defaultSettings = {
    crtColor: '#FFFFC5',
    defColor: '#90EE90',
    ptfColor: '#FF746C',
    detailBgColor: '#90EE90',
    detailFontSize: 14
};

// Function to save options to chrome.storage.sync
function saveOptions() {
    const crtColor = document.getElementById('crtColor').value;
    const defColor = document.getElementById('defColor').value;
    const ptfColor = document.getElementById('ptfColor').value;
    const detailBgColor = document.getElementById('detailBgColor').value;
    const detailFontSize = document.getElementById('detailFontSize').value;

    const settings = {
        crtColor: crtColor,
        defColor: defColor,
        ptfColor: ptfColor,
        detailBgColor: detailBgColor,
        detailFontSize: parseInt(detailFontSize, 10) || defaultSettings.detailFontSize // Ensure it's a number
    };

    chrome.storage.sync.set({ jbitsStylerSettings: settings }, () => {
        // Update status to let user know options were saved.
        const status = document.getElementById('status');
        status.textContent = 'Options saved.';
        setTimeout(() => {
            status.textContent = '';
        }, 1500);
    });
}

// Function to restore options from chrome.storage.sync
function restoreOptions() {
    chrome.storage.sync.get('jbitsStylerSettings', (data) => {
        const settings = { ...defaultSettings, ...data.jbitsStylerSettings }; // Merge saved with defaults

        document.getElementById('crtColor').value = settings.crtColor;
        document.getElementById('defColor').value = settings.defColor;
        document.getElementById('ptfColor').value = settings.ptfColor;
        document.getElementById('detailBgColor').value = settings.detailBgColor;
        document.getElementById('detailFontSize').value = settings.detailFontSize;
    });
}

// Add event listeners once the DOM is loaded
document.addEventListener('DOMContentLoaded', restoreOptions);
document.getElementById('save').addEventListener('click', saveOptions);